Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032341
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2016-02-25 12:222016-06-17 19:36
ReporterngarciaView Statuspublic 
Assigned Toaferraz 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisiona770479abfb3
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0032341: Unposting a payment in and deleting the accounting entries takes too long if it is created for an org with lots of children

DescriptionUnposting a payment in and deleting the accounting entries takes too long if it is created for an org with lots of children (900)
Steps To ReproduceAs group admin role:
   Having a legal with accounting organization with 900 children (generic)
   Create a Payment In for that organization
   Post it
   Unpost it by selecting the option of Delete Accounting Entries
   Check it takes too long
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0024055 closedSandrahuguet system allows unpost a document in a period closed 

-  Notes
(0085480)
hgbot (developer)
2016-04-07 11:28

Repository: erp/devel/pi
Changeset: a770479abfb39673008778be968fd38c756a0d86
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed Mar 02 10:18:21 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/a770479abfb39673008778be968fd38c756a0d86 [^]

Fixes issue 32341: Performance problem in ResetAccounting

Modify ad_org_getperiodcontrolallow function to make it recursive and improve its query.
Execute query only once in ResetAccounting.java and for every orgIds instead of for each orgId in orgIds. Query will be done in SQL instead of HQL to avoid errors when executing PostDocumentTest.

---
M src-db/database/model/functions/AD_ORG_GETPERIODCONTROLALLOW.xml
M src/org/openbravo/financial/ResetAccounting.java
---
(0085481)
hgbot (developer)
2016-04-07 11:28

Repository: erp/devel/pi
Changeset: 40c86fcd61ae5b6e3724c69e4dc42882faee4705
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Thu Apr 07 11:26:17 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/40c86fcd61ae5b6e3724c69e4dc42882faee4705 [^]

Related to Issue 32341: Prevents infinite loop if organization is null

---
M src-db/database/model/functions/AD_ORG_GETPERIODCONTROLALLOW.xml
---
(0085482)
dmiguelez (developer)
2016-04-07 11:29

Code Review + Testing Ok
(0085483)
aferraz (developer)
2016-04-07 11:31

Process improved from 69 minutes to 20 seconds.
(0087432)
hudsonbot (developer)
2016-06-17 19:36

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test
(0087433)
hudsonbot (developer)
2016-06-17 19:36

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-02-25 12:22 ngarcia New Issue
2016-02-25 12:22 ngarcia Assigned To => Triage Finance
2016-02-25 12:22 ngarcia Modules => Core
2016-02-25 12:22 ngarcia Triggers an Emergency Pack => No
2016-02-25 12:50 ngarcia Issue Monitored: networkb
2016-02-25 16:50 ngarcia Relationship added related to 0024055
2016-02-29 11:49 aferraz Assigned To Triage Finance => aferraz
2016-02-29 11:50 aferraz Status new => scheduled
2016-04-07 11:28 hgbot Checkin
2016-04-07 11:28 hgbot Note Added: 0085480
2016-04-07 11:28 hgbot Status scheduled => resolved
2016-04-07 11:28 hgbot Resolution open => fixed
2016-04-07 11:28 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a770479abfb39673008778be968fd38c756a0d86 [^]
2016-04-07 11:28 hgbot Checkin
2016-04-07 11:28 hgbot Note Added: 0085481
2016-04-07 11:29 dmiguelez Review Assigned To => dmiguelez
2016-04-07 11:29 dmiguelez Note Added: 0085482
2016-04-07 11:29 dmiguelez Status resolved => closed
2016-04-07 11:31 aferraz Note Added: 0085483
2016-06-17 19:36 hudsonbot Checkin
2016-06-17 19:36 hudsonbot Note Added: 0087432
2016-06-17 19:36 hudsonbot Checkin
2016-06-17 19:36 hudsonbot Note Added: 0087433


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker